## org.jgroups.util
Class Metronome

    java.lang.Object
      org.jgroups.util.Metronome

All Implemented Interfaces:
  java.lang.Runnable

    public class Metronome

extends java.lang.Object
implements java.lang.Runnable

Author:
  Bela Ban

Constructor Summary
`Metronome(int interval)`

Method Summary
`void` `add(java.lang.Thread... thread)`
`int` `getTick()`
`void` `remove(java.lang.Thread thread)`
`void` `run()`
`void` `stop()`
`void` `waitFor(int tick)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Metronome

    public Metronome(int interval)

Method Detail

### add

    public void add(java.lang.Thread... thread)

### remove

    public void remove(java.lang.Thread thread)

### getTick

    public int getTick()

### waitFor

    public void waitFor(int tick)

### stop

    public void stop()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.